Subject: Re: linux-next: runtime warning after merge of the dma-mapping tree

From: Christoph Hellwig <[email-masked]>
Date: Thu, 1 Aug 2024 15:40:57 +0200

Ok, I guess this is what Robin was referring to.

A midlayer like SCSI really shouldn't directly call dma layer
functions without knowing that the underlying bus is DMA capable.

I'll see what I can do about it, and in the meantime drop this patch
and the companion from the dma-mapping tree.